*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: #081229;
    font-family: 'Poppins', sans-serif;
    overflow-x: hidden;
}

/* MENU */

.menu{

    width: 100%;

    padding: 30px 8%;

    display: flex;

    justify-content: space-between;

    align-items: center;

}

.logo{

    color: white;

    font-size: 40px;

    font-weight: 700;

}

.logo span{

    color: #38bdf8;

}

nav{

    display: flex;

    gap: 40px;

}

nav a{

    color: white;

    text-decoration: none;

    transition: 0.3s;

    font-size: 16px;

}

nav a:hover{

    color: #38bdf8;

}

/* HERO */

.inicio{

    min-height: 90vh;

    display: flex;

    justify-content: space-between;

    align-items: center;

    padding: 0 8%;

    gap: 60px;

}

/* TEXTO */

.texto-inicio{

    max-width: 650px;

}

.texto-inicio h1{

    color: white;

    font-size: 85px;

    line-height: 1.1;

}

.texto-inicio p{

    color: #cbd5e1;

    margin-top: 25px;

    font-size: 22px;

    line-height: 1.8;

}

/* BOTÃO */

.texto-inicio button{

    margin-top: 35px;

    padding: 18px 40px;

    border: none;

    border-radius: 40px;

    background: #38bdf8;

    color: white;

    font-size: 17px;

    cursor: pointer;

    transition: 0.3s;

}

.texto-inicio button:hover{

    transform: translateY(-5px);

    box-shadow:
    0 0 30px rgba(56,189,248,0.45);

}

/* IMAGEM */

.imagem-inicio{

    display: flex;

    justify-content: center;

    align-items: center;

}

.imagem-inicio img{

    width: 480px;

    animation: flutuar 4s ease-in-out infinite;

}

/* ANIMAÇÃO */

@keyframes flutuar{

    0%{
        transform: translateY(0px);
    }

    50%{
        transform: translateY(-20px);
    }

    100%{
        transform: translateY(0px);
    }

}

/* CONTEÚDOS */

.conteudos{

    padding: 40px 8% 120px;

}

/* CAIXA */

.caixa-conteudos{

    background: #111c36;

    border-radius: 70px;

    padding: 90px 50px;

}

/* TÍTULO */

.titulo-secao{

    text-align: center;

}

.titulo-secao h2{

    color: white;

    font-size: 55px;

}

.titulo-secao p{

    color: #cbd5e1;

    margin-top: 15px;

    font-size: 18px;

}

/* CARDS */

.cards{

    margin-top: 70px;

    display: flex;

    justify-content: center;

    gap: 30px;

    flex-wrap: wrap;

}

/* CARD */

.card{

    width: 320px;

    min-height: 220px;

    background: #16213d;

    border-radius: 35px;

    padding: 40px 35px;

    transition: 0.4s;

    border: 1px solid rgba(56,189,248,0.15);

    text-decoration: none;

}

/* HOVER */

.card:hover{

    transform: translateY(-12px);

    border: 1px solid #38bdf8;

    box-shadow:
    0 0 20px rgba(56,189,248,0.35),
    0 0 60px rgba(56,189,248,0.15);

}

/* TEXTO CARD */

.card h3{

    color: white;

    font-size: 35px;

}

.card p{

    color: #cbd5e1;

    margin-top: 20px;

    line-height: 1.7;

    font-size: 18px;

}

/* RESPONSIVO */

@media(max-width: 1100px){

    .inicio{

        flex-direction: column;

        text-align: center;

        padding-top: 80px;

    }

    .texto-inicio h1{

        font-size: 65px;

    }

}

@media(max-width: 700px){

    nav{

        display: none;

    }

    .texto-inicio h1{

        font-size: 45px;

    }

    .texto-inicio p{

        font-size: 18px;

    }

    .imagem-inicio img{

        width: 100%;

        max-width: 350px;

    }

    .titulo-secao h2{

        font-size: 40px;

    }

    .card{

        width: 100%;

    }

}
/* RODAPÉ */

.rodape{

    padding: 50px 8%;

    text-align: center;

    background: #111c36;

    margin-top: 120px;

}

.rodape h2{

    color: white;

    font-size: 35px;

}

.rodape p{

    color: #cbd5e1;

    margin-top: 15px;

}

.rodape span{

    display: block;

    color: #64748b;

    margin-top: 25px;

}
/* =========================
   BOTÃO VOLTAR
========================= */

.back-button{

    position: fixed;

    top: 20px;
    left: 20px;

    padding: 5px 6px;

    border-radius: 40px;

    text-decoration: none;

    color: white;

    font-weight: 300;

    background: linear-gradient(to right, #ff00c8, #7b2cff);

    box-shadow: 0 0 20px rgba(255,0,200,0.4);

    transition: 0.3s ease;

    z-index: 999;
}

.back-button:hover{

    transform: translateY(-4px);

    box-shadow: 0 0 30px rgba(255,0,200,0.7);
}

/* Mobile */

@media(max-width: 480px){

    .back-button{

        top: 15px;
        left: 15px;

        padding: 10px 18px;

        font-size: 14px;
    }

}